import React from 'react';
import { shallow, mount } from 'enzyme';
import { MemoryRouter } from 'react-router-dom';
import SimilarProducts from './SimilarProducts';
import ProductThumbnail from '../../components/ProductThumbnail/ProductThumbnail';


const category = require('../../testData/testFixture.json');

describe('Component : SimilarProduct', () => {

  it('expect to render Similar Product component', () => {
    expect(shallow(<SimilarProducts categoryResult={category} />)).toMatchSnapshot();
  })

  it('verifying rendering of productThumbnail component in Similar Product component', () => {
    const groups = category.groups
    const wrapper = mount(
      <MemoryRouter>
        <SimilarProducts categoryResult={category} />
      </MemoryRouter>
    )
    expect(wrapper.contains(<ProductThumbnail product={groups[0]} />)).toBe(true);
    expect(wrapper.contains(<ProductThumbnail product={groups[3]} />)).toBe(true);
    expect(wrapper.contains(<ProductThumbnail product={groups[4]} />)).toBe(false);
  })
})
