import { connect } from 'react-redux';
import { lifecycle, compose } from 'recompose';
import { getCategory } from '../../actions';
import './BrowsePage.scss';
import BrowsePage from './BrowsePage';

const mapStateToProps = (state) => {
  return { categoryResult: state.categoryResult };
};

const reduxConnector = connect(mapStateToProps, { getCategory });

const lifecycleHandlers = lifecycle({
  componentDidMount() {
    this.props.getCategory();
  }
});

export default compose(
  reduxConnector,
  lifecycleHandlers,
)(BrowsePage);

